[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.MouseCapture

True when mouse messages are currently captured by this control.

## Declaration

Source position: controls.pp line 1573

`protected property TControl.MouseCapture : Boolean read GetMouseCapture write SetMouseCapture;`

## Description

In normal operation, all mouse messages are sent to the control under the mouse pointer. Mouse messages also can be sent to a capturing control, e.g. when a control is dragged.

Applications should capture mouse events only for special purposes, and release the capture as soon as a the target position has been determined. Limited user feedback is possible while the mouse is captured, not all application controls will work properly so long.